<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <title>Aula-02</title>
</head>

<body>
    <div class="container">
        <h2>@Todo-List</h2>
        <ul class="list-group mt-3"></ul>
        <!-- <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0"
                aria-valuemax="100"></div>
        </div> -->
        <!-- <div id="loading" class="d-flex align-items-center">
            <strong>Loading...</strong>
            <div class="spinner-border ms-auto" role="status" aria-hidden="true"></div>
        </div> -->
        <form class="row g-3">
            <div class="mb-3 mt-4">
                <label class="form-label">Nome Todo</label>
                <input type="text" class="form-control">
            </div>

            <div class="col-auto">
                <button type="submit" class="btn btn-primary mb-3">Adicionar</button>
            </div>
        </form>
    </div>

    <script>
        window.addEventListener("load", () => {

            const progressbar = document.querySelector(".progress-bar")
            const arrayProgress = []

            // for (let index = 0; index < 10; index++) {
            //     setTimeout(() => {
            //         arrayProgress.push(10)
            //         const percent = arrayProgress.reduce((accumulator, currentValue) => accumulator + currentValue, 0)
            //         progressbar.style.width = `${percent}%`
            //         progressbar.innerHTML = `${percent}%`
            //         if (percent == 100) {
            //             document.querySelector(".progress").style.display = "none"
            //         }
            //     }, index * 200)
            // }

            // const loading = document.querySelector("#loading")
            // setTimeout(() => {
            //     fetch('./todos.json')
            //         .then(response => response.json())
            //         .then(obj => {
            //             const ulParent = document.querySelector("ul")
            //             obj.forEach((todo, index) => {
            //                 loading.style.display = "none"
            //                 loading.removeAttribute("class")
            //                 const liChildElement = document.createElement("li")
            //                 liChildElement.className = "list-group-item"
            //                 liChildElement.innerHTML = `${index + 1} - ${todo.title}`
            //                 ulParent.append(liChildElement)
            //             });
                       
            //         })
            // }, 2000)
        }) 
    </script>

</body>

</html>